CREATE TABLE gtg_di_cred_history (
    ID                   NUMBER(18, 0) ,
    CONNECTOR_ID         NUMBER(18, 0)     NOT NULL,
    DATASOURCE_ID        NUMBER(18, 0) ,
    EVENT_TYPE           VARCHAR2(256) ,
    EVENT_TIME           TIMESTAMP(6)  ,
    EVENT_DETAILS        VARCHAR2(4000),
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    ID                   NUMBER(18, 0) ,
    CONNECTOR_ID         NUMBER(18, 0)     NOT NULL,
    DATASOURCE_ID        NUMBER(18, 0) ,
    EVENT_TYPE           VARCHAR2(256) ,
    EVENT_TIME           TIMESTAMP(6)  ,
    EVENT_DETAILS        VARCHAR2(4000),
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_gtg_di_cred_history PRIMARY KEY (ID, ID)
);
